---
title: "Octant 0.10 - New Year, New Features"
excerpt: In a perfect world, you would deploy applications to clusters and nothing else would be a problem. In the Kubernetes world, it isn’t that simple yet.
image: /img/posts/2020/01/workload-viewer.png
author: Wayne Witzel III
author_avatar: /img/contributors/wayne-witzel-iii.jpg
categories: ['kubernetes']
tags: ['Wayne Witzel III', 'release']
date: 2020-01-24
slug: octant-0.10-release
---
# Octant 0.10 - New Year, New Features

We have some exciting new features in the [latest release of Octant](https://github.com/vmware-tanzu/octant/releases/tag/v0.10.0), such as **Container Exec** and the **Workload Viewer**, together with several quality of life improvements and bug fixes. We are also changing the cadence of our monthly community meeting to weekly, and giving you a quick and easy way to access bleeding edge changes.

## Container Exec
![](/img/posts/2020/01/container-exec.gif)


Octant now supports the ability to execute single and interactive commands against containers. This allows you the equivalent of `kubectl exec` directly inside of Octant.

Once an executed process has completed, Octant will hold the output in a terminal window until you dismiss it or stop Octant. This is useful behavior when running one-off, non-interactive commands, and allows you to refer back to the output as needed for debugging and informational purposes.

## Workload Viewer
![](/img/posts/2020/01/workload-viewer.png)

You can now get an at-a-glance view of the health of all your workloads in a namespace using Octant. A workload card will quickly show you if all of your pods are healthy, and the amount of memory and CPU allocated. Clicking on a workload will take you to the resource viewer for that workload.

This is the early stages of the workload viewer, and as the workload feature continues to progress it will eventually become the default view for Octant.

## More Details

This release also includes bug fixes around CRDs, Plugins, and more. You can find the complete details in our [release notes](https://github.com/vmware-tanzu/octant/blob/master/changelogs/CHANGELOG-0.10.md).

## Community Meetings

We will now be holding community meetings weekly on Wednesdays at 1PM ET / 11AM PT. Be sure to join the [project-octant](https://groups.google.com/forum/#!forum/project-octant) Google group to get a calendar invite. We also announce each meeting one hour before start time in the [Octant Slack channel](https://kubernetes.slack.com/archives/CM37M9FCG).

## Nightly Builds

As a reminder for those who like to be on the bleeding edge, we have [nightly builds](https://console.cloud.google.com/storage/browser/octant-nightlies) available. These are built directly from master each night and allow folks to get faster access to updates and features in-between official releases.

## Community Shoutouts

- [Josh Dolitsky](https://github.com/jdolitsky) for creating the Helm plugin and feedback.
- [Gary Smith](https://github.com/GarySmith) for IFrame component, plugin feedback, and doc updates.
- [Brett Johnson](https://github.com/SDBrett) for helping to improve site accessibility.
- [Alex Brand](https://github.com/alexbrand) for adding the quick switcher.
- [Antonin Bas](https://github.com/antoninbas) for helping with mocks/unit testing.

## Get involved

The nature of Octant as a project requires input from the community - from code contributions and documentation to sharing your usage in the field, there are many ways to get involved. Feel free to ask questions via the [distribution list](http://groups.google.com/forum/#!forum/project-octant), [Slack](https://kubernetes.slack.com/messages/CM37M9FCG), or try out the [latest release on GitHub](https://github.com/vmware-tanzu/octant/releases/latest)!

* [Good first issue](https://github.com/vmware-tanzu/octant/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22) tags
* Propose or request new features
* Try writing a plugin
* Share how your team plans to use Octant

## Join the Octant community
* Get updates on Twitter ([@projectoctant](https://twitter.com/projectoctant))
* Chat with us on Slack ([#octant](https://kubernetes.slack.com/messages/CM37M9FCG) on Kubernetes Slack)
* Join the [Octant Community Meetings](/community)
