---
title: "Octant 0.14 - Now with Resource Creation"
excerpt: Octant now supports the ability to create resources for 0.16+ Kubernetes clusters and more!
image: /img/posts/2020/07/16/apply-yaml.png
author: Wayne Witzel III
author_avatar: /img/contributors/wayne-witzel-iii.jpg
categories: ['kubernetes']
tags: ['Wayne Witzel III', 'release']
date: 2020-07-16
slug: octant-0.14-release
---
# Octant 0.14 - Create resources, port forward services, and more.

Lots of new features in the [latest release of Octant](https://github.com/vmware-tanzu/octant/releases/tag/v0.14.0),
such as **Creating Resources**, **Prompting for Kubeconfig**, and **Port Forwarding for Services**. Combined with a handful
of UX/UI improvements for our navigation, better integration of common actions, and various minor bug fixes, we are very
excited about this release.

## Creating Resources
![](/img/posts/2020/07/16/apply-yaml.png)
**Requires Kubernetes 0.16 or Higher** Octant now supports the ability to create and update resources via the UI. This feature uses the server side apply API of Kubernetes.
You can apply multiple resources at a time, they are applied in the order that they have been entered. If an error is encountered, then the apply action will halt, and no more resources will be applied.
 Finally an alert will be displayed containing any success and error messages that resulting from the action.

## Prompting for Kubeconfig
![](/img/posts/2020/07/16/no-kubeconfig.png)

Octant would previously failed to start without a valid Kubeconfig and log an unhelpful error message into the console.

## Port Forwarding for Services
![](/img/posts/2020/07/16/service-port-forward.png)

Service port forwarding is now in Octant allowing you to port forward via a Service to valid container endpoints, even if they do not have a port defined
in their spec. This was not possible before in the previous port forward implementation.

## Other UX/UI Improvements
Added more grid actions to making it easier to delete namespaces
![](/img/posts/2020/07/16/delete-namespace.png)

improve how you interact with CronJobs

![](/img/posts/2020/07/16/cronjob-actions.png)

and filter data grid columns

![](/img/posts/2020/07/16/table-filter.png)

## Experimental JavaScript Plugin Support

Finally we've started to experiment with JavaScript support for Octant plugins. As stated, this is currently experimental and subject to extreme change and/or complete removal. This system
uses a limited JavaScript runtime that is provided a DashboardClient with the ability to perform Get, List, and Update operations. Currently all existing plugin handlers are supported as well
as plugins that act as a module.

If you are interested in exploring creating plugins for Octant using JavaScript, we encourage you to checkout our [Octant plugin yeoman generator](https://github.com/wwitzel3/generator-octant-plugin#readme),
explore [reference.octant.dev](https://reference.octant.dev) and reach out to us in our slack channel.

Being this is early experimental, there is no documentation for this feature yet. The source code generated by the yeoman generator is currently the best source of information.

## Community Meetings

We will now be holding community meetings weekly on Wednesdays at 1PM ET / 11AM PT. Be sure to join the [project-octant](https://groups.google.com/forum/#!forum/project-octant) Google group to get a calendar invite. We also announce each meeting one hour before start time in the [Octant Slack channel](https://kubernetes.slack.com/archives/CM37M9FCG).

## Nightly Builds

As a reminder for those who like to be on the bleeding edge, we have [nightly builds](https://console.cloud.google.com/storage/browser/octant-nightlies) available. These are built directly from master each night and allow folks to get faster access to updates and features in-between official releases.

## Community Shoutouts
- [Sergiu Pantiru](https://github.com/sergiupantiru) for data grid filtering.
- Thank you to all the plugin authors who provided us with feedback recently.

## Get involved

The nature of Octant as a project requires input from the community - from code contributions and documentation to sharing your usage in the field, there are many ways to get involved.
Feel free to ask questions via our [Slack channel](https://kubernetes.slack.com/messages/CM37M9FCG) and checkout the [latest release on GitHub](https://github.com/vmware-tanzu/octant/releases/latest)!

* [Good first issue](https://github.com/vmware-tanzu/octant/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22) tags
* Propose or request new features
* Try writing a plugin
* Share how your team plans to use Octant

## Join the Octant community
* Get updates on Twitter ([@projectoctant](https://twitter.com/projectoctant))
* Chat with us on Slack ([#octant](https://kubernetes.slack.com/messages/CM37M9FCG) on Kubernetes Slack)
* Join the [Octant Community Meetings](/community)
